# ini_set

(PHP 4, PHP 5, PHP 7)

ini_set — Sets the value of a configuration option

### Description

ini_set ( string `$varname` , string `$newvalue` ) : string

Sets the value of the given configuration option. The configuration option will keep this new value during the script's execution, and will be restored at the script's ending.

### Parameters

`varname`

  Not all the available options can be changed using ini_set(). There is a list of all available options in the appendix.

`newvalue`

  The new value for the option.

### Return Values

Returns the old value on success, `FALSE` on failure.

### Examples

Example #1 Setting an ini option

`<?php
echo ini_get('display_errors');
if (!ini_get('display_errors')) {
ini_set('display_errors', '1');
}
echo ini_get('display_errors');
?>`

### See Also

- get_cfg_var() - Gets the value of a PHP configuration option
- ini_get() - Gets the value of a configuration option
- ini_get_all() - Gets all configuration options
- ini_restore() - Restores the value of a configuration option
- How to change configuration settings